# topsis-3283

_for: **Project-1 (UCS633)**_
_submitted by: **Katinder Kaur**_
_Roll no: **101703283**_
_Group: **3COE13**_


topsis-3283 is a Python library for dealing with Multiple Criteria Decision Making(MCDM) problems by using Technique for Order of Preference by Similarity to Ideal Solution(TOPSIS).

## Installation

Use the package manager [pip](https://pip.pypa.io/en/stable/) to install topsis-3283.

```bash
pip install topsis-3283
```

## Usage

Enter csv filename followed by _.csv_ extentsion, then enter the _weights_ vector with vector values separated by commas, followed by the _impacts_ vector with comma separated signs _(+,-)_

```python
topsis sample.csv "1,1,1,1" "+,+,-,+"
```

or vectors can be entered without ""

```python
topsis sample.csv 1,1,1,1 +,+,-,+
```

## Example

#### sample.csv

A csv file showing data for different mobile handsets having varying features.

| Model  | Storage space(in gb) | Camera(in MP)| Price(in $)  | Looks(out of 5) |
| :----: |:-----------:| :-------------------:|:---------------:| :--------------:|
| M1 | 16 | 12 | 250 | 5 |
| M2 | 16 | 8  | 200 | 3 |
| M3 | 32 | 16 | 300 | 4 |
| M4 | 32 | 8  | 275 | 4 |
| M5 | 16 | 16 | 225 | 2 |

weights vector=[0.25,0.25,0.25,0.25]

impacts vector=[+,+,-,+]

### input:

```python
topsis sample.csv "0.25,0.25,0.25,0.25" "+,+,-,+"
```

### output:
```
       TOPSIS RESULTS
---------------------------------

    P-Score  Rank
1  0.807076     1
2  0.328434     4
3  0.671566     2
4  0.636722     3
5  0.176878     5

``` 

## Other notes

* The first column and first row are removed by the library before processing, in attempt to remove indices and headers. So make sure the csv follows the format as shown in sample.csv.
* Make sure the csv does not contain categorical values
* Do not add extra spaces between values while entering the weights and impacts vectors


## License
[MIT](https://choosealicense.com/licenses/mit/)